## ros-iron-grid-map-demos 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(grid_map_demos)

## Find ament_cmake macros and libraries
find_package(ament_cmake REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(filters REQUIRED)
find_package(grid_map_cmake_helpers REQUIRED)
find_package(grid_map_core REQUIRED)
find_package(grid_map_cv REQUIRED)
find_package(grid_map_msgs REQUIRED)
find_package(grid_map_octomap REQUIRED)
find_package(grid_map_ros REQUIRED)
find_package(OCTOMAP REQUIRED)
find_package(octomap_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(OpenCV REQUIRED
  COMPONENTS
  opencv_highgui
  CONFIG
)

grid_map_package()

set(dependencies
  grid_map_msgs
  grid_map_ros
  rclcpp
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  SYSTEM
    ${EIGEN3_INCLUDE_DIR}
)

## Declare a cpp executable
add_executable(
  simple_demo
  src/simple_demo_node.cpp
)

add_executable(
  tutorial_demo
  src/tutorial_demo_node.cpp
)

add_executable(
  iterators_demo
  src/iterators_demo_node.cpp
  src/IteratorsDemo.cpp
)

add_executable(
  image_to_gridmap_demo
  src/image_to_gridmap_demo_node.cpp
  src/ImageToGridmapDemo.cpp
)

add_executable(
  octomap_to_gridmap_demo
  src/octomap_to_gridmap_demo_node.cpp
  src/OctomapToGridmapDemo.cpp
)

add_executable(
  move_demo
  src/move_demo_node.cpp
)

add_executable(
  iterator_benchmark
  src/iterator_benchmark.cpp
)

add_executable(
  opencv_demo
  src/opencv_demo_node.cpp
)

add_executable(
  resolution_change_demo
  src/resolution_change_demo_node.cpp
)

add_executable(
  filters_demo
  src/filters_demo_node.cpp
)

add_library(filters_demo_lib SHARED
  src/FiltersDemo.cpp
)

add_executable(
  normal_filter_comparison_demo
  src/normal_filter_comparison_node.cpp
)

add_executable(
  interpolation_demo
  src/interpolation_demo_node.cpp
  src/InterpolationDemo.cpp
)

## Specify libraries to link a library or executable target against
ament_target_dependencies(
  simple_demo SYSTEM
  ${dependencies}
)

ament_target_dependencies(
  tutorial_demo SYSTEM
  ${dependencies}
)

ament_target_dependencies(
  iterators_demo SYSTEM
  ${dependencies}
)

ament_target_dependencies(image_to_gridmap_demo SYSTEM
  ${dependencies}
)

ament_target_dependencies(
  octomap_to_gridmap_demo SYSTEM
  ${dependencies}
  grid_map_octomap
  octomap_msgs
)

ament_target_dependencies(
  move_demo SYSTEM
  ${dependencies}
)

ament_target_dependencies(
  iterator_benchmark SYSTEM
  grid_map_core
)

ament_target_dependencies(
  opencv_demo SYSTEM
  ${dependencies}
  grid_map_cv
)

ament_target_dependencies(
  resolution_change_demo SYSTEM
  ${dependencies}
)

target_link_libraries(filters_demo filters_demo_lib)

ament_target_dependencies(
  filters_demo_lib SYSTEM
  ${dependencies}
  filters
)

ament_target_dependencies(
  filters_demo SYSTEM
  ${dependencies}
  filters
)

ament_target_dependencies(
  normal_filter_comparison_demo SYSTEM
  ${dependencies}
  filters
)

ament_target_dependencies(
  interpolation_demo SYSTEM
  ${dependencies}
)

set(targets_list
  filters_demo
  filters_demo_lib
  image_to_gridmap_demo
  interpolation_demo
  iterator_benchmark
  iterators_demo
  move_demo
  normal_filter_comparison_demo
  octomap_to_gridmap_demo
  opencv_demo
  resolution_change_demo
  simple_demo
  tutorial_demo
)

foreach(target ${targets_list})
  if(CMAKE_COMPILER_IS_GNUCXX)
    target_compile_options(${target} PRIVATE "SHELL:--param ggc-min-expand=1")
    target_compile_options(${target} PRIVATE "SHELL:--param ggc-min-heapsize=32768")
  endif()
endforeach()

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${targets_list}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

# Mark other files for installation
install(
  DIRECTORY config data doc launch rviz
  DESTINATION share/${PROJECT_NAME}
)

# Install python scripts
install(
  PROGRAMS scripts/image_publisher.py
  DESTINATION lib/${PROJECT_NAME}
)

#############
## Testing ##
#############

if(BUILD_TESTING)
  # Linting is setup this way to add a filter
  # to ament_cpplint to ignore the lack of
  # copyright messages at the top of files.
  # Copyright messages are being checked for by both
  # ament_cmake_cpplint & ament_cmake_copyright.

  find_package(ament_lint_auto REQUIRED)
  find_package(ament_lint_auto QUIET)
  if(ament_lint_auto_FOUND)
    # exclude copyright checks
    list(APPEND AMENT_LINT_AUTO_EXCLUDE
      ament_cmake_cpplint
      ament_cmake_copyright
    )
    ament_lint_auto_find_test_dependencies()

    # run cpplint without copyright filter
    find_package(ament_cmake_cpplint)
    ament_cpplint(
      FILTERS -legal/copyright -build/include_order
    )
  endif()
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include ${EIGEN3_INCLUDE_DIR})
ament_package()

=== debian/changelog ===
ros-iron-grid-map-demos (2.1.0-1jammy) jammy; urgency=high

  * fix: change cv_bridge.h -> .hpp (#376 <https://github.com/ANYbotics/grid_map/issues/376>)
  * Contributors: Iván López Broceño

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 07 Nov 2022 15:00:00 -0000

ros-iron-grid-map-demos (2.0.0-1jammy) jammy; urgency=high

  * fix: mark Eigen library as SYSTEM
  * fix: build error on jammy
  * Initial ROS2 port
  * Contributors: Maximilian Wulf, Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 15:00:00 -0000

ros-iron-grid-map-demos (1.6.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 15:00:00 -0000

ros-iron-grid-map-demos (1.6.1-1jammy) jammy; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 15:00:00 -0000

ros-iron-grid-map-demos (1.6.0-1jammy) jammy; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Fixing cpp-check warnings and errors.
  * Fixed dependencies for grid_map_demos.
  * Updated terrain for filters demo.
  * Updated filter demo chain.
  * Contributors: Perry Franklin, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 15:00:00 -0000

ros-iron-grid-map-demos (1.5.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-demos (1.5.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-demos (1.5.0-1jammy) jammy; urgency=high

  * Added demo for octomap to grid map conversion.
  * Updated installation for demos.
  * General performance improvements, cleanups, and reformatting.
  * Contributors: Jeff Delmerico, Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-iron-grid-map-demos (1.4.2-1jammy) jammy; urgency=high

  * Addressing C++ compiler warnings.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-iron-grid-map-demos (1.4.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.4.0-1jammy) jammy; urgency=high

  * Added Grid Map RViz plugin to RViz configuration.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.3.3-1jammy) jammy; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.3.2-1jammy) jammy; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.3.1-1jammy) jammy; urgency=high

  * Updated grid map loader demo.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.3.0-1jammy) jammy; urgency=high

  * Added new demonstrators for OpenCV based operations.
  * Resolving build errors for OpenCV.
  * Added comment on iterator performance (#45 <https://github.com/anybotics/grid_map/issues/45>).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.2.0-1jammy) jammy; urgency=high

  * New iterator_benchmark demo to exemplify the usage of the iterators and their computational performance.
  * Added new move_demo to illustrate the difference between the move and setPosition method.
  * Contributors: Péter Fankhauser, Christos Zalidis, Daniel Stonier

 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.1.3-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.1.2-1jammy) jammy; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.1.1-1jammy) jammy; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.1.0-1jammy) jammy; urgency=high

  * added installation instructions in CMakeLists
  * updated demo for new ellipse iterator tool
  * general improvements and bugfixes

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 07 Jan 2016 15:00:00 -0000

ros-iron-grid-map-demos (1.0.0-1jammy) jammy; urgency=high

  * release for Springer ROS Book Chapter

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 19 Nov 2015 15:00:00 -0000

=== debian/control ===
Source: ros-iron-grid-map-demos
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-cv-bridge, ros-iron-geometry-msgs, ros-iron-grid-map-cmake-helpers, ros-iron-grid-map-core, ros-iron-grid-map-cv, ros-iron-grid-map-filters, ros-iron-grid-map-loader, ros-iron-grid-map-msgs, ros-iron-grid-map-octomap, ros-iron-grid-map-ros, ros-iron-grid-map-rviz-plugin, ros-iron-grid-map-visualization, ros-iron-octomap-msgs, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-iron-grid-map-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-opencv, ros-iron-cv-bridge, ros-iron-geometry-msgs, ros-iron-grid-map-core, ros-iron-grid-map-cv, ros-iron-grid-map-filters, ros-iron-grid-map-loader, ros-iron-grid-map-msgs, ros-iron-grid-map-octomap, ros-iron-grid-map-ros, ros-iron-grid-map-rviz-plugin, ros-iron-grid-map-visualization, ros-iron-octomap-msgs, ros-iron-octomap-rviz-plugins, ros-iron-octomap-server, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rviz2, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: Demo nodes to demonstrate the usage of the grid map library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-grid-map-demos//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
